package com.gustavopeiretti.parcelableexample;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.TextView;
import android.widget.Toast;

public class SecondActivity extends AppCompatActivity {

    private TextView productId;
    private TextView productName;
    private TextView productDescription;
    private TextView productAvailable;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_second);

        initializeViews();

        Product product = getIntent().getParcelableExtra(MainActivity.PRODUCT_KEY);
        if(product != null) {
            updateTextViews(product);
        }else {
            Toast.makeText(this, "NO product to show ", Toast.LENGTH_LONG).show();
        }

    }

    private void initializeViews() {
        productId = (TextView) findViewById(R.id.productId);
        productName = (TextView) findViewById(R.id.productName);
        productDescription = (TextView) findViewById(R.id.productDescription);
        productAvailable = (TextView) findViewById(R.id.productAvailable);
    }

    private void updateTextViews(Product product) {
        productId.setText(String.valueOf(product.getProductId()));
        productName.setText(product.getName());
        productDescription.setText(product.getDescription());
        productAvailable.setText(String.valueOf(product.isAvailable()));
    }

}
